SoColorIndex(3)

NAME
SoColorIndex - The SoColorIndex class is used to specify color indices for subsequent shapes.

SYNOPSIS

#include <Inventor/nodes/SoColorIndex.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoColorIndex (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFInt32 index

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoColorIndex ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoColorIndex class is used to specify color indices for subsequent shapes. This node should only be used in OpenGL color index mode, and only when the current light model is set to SoLightModel::BASE_COLOR.

OpenGL color index mode is where the colors for individual pixels are fetched from a color lookup table ('CLUT'). The usual thing to do is to set up a canvas in RGBA true color mode.

One common use for color index mode OpenGL canvases is to use one in the overlay planes (which are usually limited to only 2 or 4 available colors), if supported by the OpenGL hardware and / or driver.

FILE FORMAT/DEFAULTS:

ColorIndex {
    index 1
}

Constructor & Destructor Documentation

  SoColorIndex::SoColorIndex (void)
Constructor.

  SoColorIndex::~SoColorIndex () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoColorIndex::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoColorIndex::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoColorIndex::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoColorIndex::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoColorIndex::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Member Data Documentation

  SoMFInt32 SoColorIndex::index
Color indices which can be used by shapes.

Author

Generated automatically by Doxygen for Coin from the source code.